LuceneKernelExtensionFactory (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.index.lucene

## Class LuceneKernelExtensionFactory

- java.lang.Object
- - org.neo4j.helpers.Service
  - - org.neo4j.kernel.extension.KernelExtensionFactory<LuceneKernelExtensionFactory.Dependencies>
    - - org.neo4j.index.lucene.LuceneKernelExtensionFactory

-     public class LuceneKernelExtensionFactory
      extends org.neo4j.kernel.extension.KernelExtensionFactory<LuceneKernelExtensionFactory.Dependencies>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `LuceneKernelExtensionFactory.Dependencies`

    - ### Nested classes/interfaces inherited from class org.neo4j.helpers.Service

      `Service.CaseInsensitiveService, Service.Implementation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneKernelExtensionFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.neo4j.kernel.lifecycle.Lifecycle` | `newKernelExtension(LuceneKernelExtensionFactory.Dependencies dependencies)` Create a new instance of this kernel extension.

    - ### Methods inherited from class org.neo4j.kernel.extension.KernelExtensionFactory

      `getSettingsClass, toString`

    - ### Methods inherited from class org.neo4j.helpers.Service

      `equals, getKeys, hashCode, load, load, matches`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LuceneKernelExtensionFactory

          public LuceneKernelExtensionFactory()

  - ### Method Detail

    - #### newKernelExtension

          public org.neo4j.kernel.lifecycle.Lifecycle newKernelExtension(LuceneKernelExtensionFactory.Dependencies dependencies)
                                                                  throws Throwable

      Description copied from class: `org.neo4j.kernel.extension.KernelExtensionFactory`
      Create a new instance of this kernel extension.
      Specified by:
        `newKernelExtension` in class `org.neo4j.kernel.extension.KernelExtensionFactory<LuceneKernelExtensionFactory.Dependencies>`
      Returns:
      Throws:
        `Throwable`

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.